=== debian/changelog ===
pyepr (1.0.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:45 +0100

pyepr (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Sep 2019 21:36:41 +0000

pyepr (0.9.5-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Add ${python3:Provides} substvar to arch: any packages.

  [ Antonio Valentino ]
  * Drop Python 2 support.
  * Set compat to 12.
  * Drop unnecessary override file: python3-epr-dbg.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 10:49:25 +0000
