## pyepr 1.0.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,11 @@
 # along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.
 
 PYTHON = python3
-CYTHON = cython3
+CYTHON = $(PYTHON) -m cython
+DOWNLOAD = wget -c
+# DOWNLOAD = curl -C - -O
+CYTHONFLAGS=$(shell $(CYTHON) --help | grep -o -- '--3str')
+
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
 TEST_DATSET = tests/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
@@ -36,7 +40,7 @@
 cythonize: src/epr.c
 
 src/epr.c: src/epr.pyx
-	$(CYTHON) src/epr.pyx
+	$(CYTHON) $(CYTHONFLAGS) src/epr.pyx
 
 sdist: doc cythonize
 	$(PYTHON) setup.py sdist
@@ -108,7 +112,8 @@
 data: $(TEST_DATSET)
 
 $(TEST_DATSET):
-	wget -P tests $(TEST_DATSET_URL)
+	$(DOWNLOAD) $(TEST_DATSET_URL)
+	mv $(shell basename $(TEST_DATSET_URL)) tests
 	gunzip $@
 
 manylinux:
