=== debian/changelog ===
pyepr (1.0.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Provides: ${python3:Provides}.
  * Drop Name field from upstream metadata.
  * Refresh all patches.
  * Set debhelper-compat version in Build-Depends.
  * Explicitly set Rules-Requires-Root: no.

  [ Bas Couwenberg ]
  * Update copyright years for Antonio Valentino.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Mar 2020 14:46:49 +0000
