=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
                cython3-dbg,
@@ -17,7 +18,7 @@
                python3-numpy-dbg,
                python3-sphinx,
                texlive-latex-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
 Homepage: https://avalentino.github.com/pyepr
@@ -30,7 +31,6 @@
          ${shlibs:Depends},
          python3-numpy
 Suggests: python-epr-doc
-Provides: ${python3:Provides}
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
  (EPR API) for reading satellite data from ENVISAT ESA (European Space
@@ -53,7 +53,6 @@
          ${shlibs:Depends},
          python3-epr (= ${binary:Version})
 Recommends: python3-numpy-dbg
-Provides: ${python3:Provides}
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
  (EPR API) for reading satellite data from ENVISAT ESA (European Space
