=== debian/changelog ===
pyepr (1.1.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:55:10 +0000

pyepr (1.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Nov 2021 13:25:59 +0000

pyepr (1.1.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * Drop the -dbg package (Closes: 994326).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:38:44 +0000

pyepr (1.1.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Refresh all patches.
  * Update debian/copyright file.
  * Add build dependency form setuptools.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 17 Aug 2021 08:26:15 +0000
