=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_NAME=epr
 export PYBUILD_DISABLE=test
@@ -36,10 +35,6 @@
 	$(RM) -r *.egg-info
 
 
-override_dh_strip:
-	dh_strip -ppython3-epr --dbg-package=python3-epr-dbg
-
-
 override_dh_installchangelogs:
 	dh_installchangelogs -k doc/NEWS.rst
