## pyepr 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011-2021, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011-2023, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -22,7 +22,7 @@
 CYTHON = $(PYTHON) -m cython
 CYTHONFLAGS=$(shell $(CYTHON) --help | grep -o -- '--3str')
 
-TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d "'" -f 2)
+TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d '"' -f 2)
 
 EPRAPIROOT = extern/epr-api
 
@@ -57,15 +57,13 @@
 
 doc:
 	$(MAKE) -C doc html
-	$(RM) -r doc/html
-	mv doc/_build/html doc/html
 
 clean:
 	$(PYTHON) setup.py clean --all
 	$(RM) -r build dist pyepr.egg-info wheelhouse
 	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
-	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
+	$(RM) tests/*.py[co]
 	$(MAKE) -C doc clean
 	$(RM) -r doc/_build
 	find . -name '*~' -delete
@@ -76,7 +74,6 @@
 
 distclean: clean
 	$(RM) $(TEST_DATSET)
-	$(RM) -r doc/html
 	$(RM) -r LICENSES
 	$(MAKE) -C tests -f checksetup.mak distclean
 	$(RM) -r .eggs
@@ -88,18 +85,7 @@
 	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace
 
 coverage: clean ext-coverage
-	ln -s src/epr.p* .  # workaround for Cython.Coverage bug #1985
-	env PYEPR_COVERAGE=TRUE PYTHONPATH=. \
-		$(PYTHON) -m coverage run --branch --source=src setup.py test
-	env PYTHONPATH=. $(PYTHON) -m coverage report
-
-coverage-report: coverage
-	env PYTHONPATH=. $(PYTHON) -m cython -E CYTHON_TRACE_NOGIL=1 \
-		-X linetrace=True -X language_level=3str \
-		--annotate-coverage coverage.xml src/epr.pyx
-	env PYTHONPATH=. $(PYTHON) -m coverage xml -i
-	env PYTHONPATH=. $(PYTHON) -m coverage html -i
-	cp src/epr.html htmlcov
+	$(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
 
 debug:
 	$(PYTHON)d setup.py build_ext --inplace --debug
