=== debian/changelog ===
pyepr (1.1.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * Enable CI on Salsa.
  * New upstream release.
  * Update d/copyright.
  * Refresh all patches.
  * debian/rules:
    - fix override_dh_installdocs target.
  * debian/control:
    - drop dependency on python-numpy-doc
    - add dependency on python3-ipython, python3-packaging and
      sphinx_rtd_theme.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Jan 2023 22:55:15 +0000

pyepr (1.1.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add build-dependency on pybuild-plugin-pyproject.
  * Update copyright date in d/copyright.
  * debian/control:
    - fix homepage URL.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 17 Oct 2022 06:09:51 +0000
