=== debian/control ===
--- 
+++ 
@@ -9,25 +9,27 @@
                dh-python,
                cython3,
                libepr-api-dev,
-               python-numpy-doc,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-doc,
+               python3-ipython,
                python3-numpy,
+               python3-packaging,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
-Homepage: https://avalentino.github.com/pyepr
+Homepage: https://avalentino.github.io/pyepr
 
 Package: python3-epr
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
-         python3-numpy
+         ${misc:Depends}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
