=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,14 @@
 
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_python3:
 	dh_python3 -N python-epr-doc
+
+
+override_dh_numpy3:
 	dh_numpy3 -N python-epr-doc
 
 
@@ -52,8 +55,8 @@
 override_dh_installdocs:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) SPHINXOPTS="$(SPHINXOPTS)" doc
-	$(RM) -r doc/html/_downloads
+	$(RM) -r doc/_build/html/_downloads
 else
-	mkdir -p doc/html
+	mkdir -p doc/_build/html
 endif
 	dh_installdocs
