## pyepr 1.1.5

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 clean:
 	$(PYTHON) setup.py clean --all
-	$(RM) -r build dist pyepr.egg-info wheelhouse
+	$(RM) -r build dist src/pyepr.egg-info wheelhouse
 	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co]
@@ -85,7 +85,7 @@
 	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace
 
 coverage: clean ext-coverage
-	$(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
+	env PYTHONPATH=src $(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
 
 debug:
 	$(PYTHON)d setup.py build_ext --inplace --debug
