=== debian/changelog ===
pyepr (1.1.5-2build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:57:09 +0000

pyepr (1.1.5-2build3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:36:06 +0000

pyepr (1.1.5-2build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:28:42 +0100

pyepr (1.1.5-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:22:44 +0000

pyepr (1.1.5-2) unstable; urgency=medium

  * debian/control:
    - Move the common package description to source.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:38:43 +0000

pyepr (1.1.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_before instead of override in rules file.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nodoc> marker.
    - Switch to autopkgtest-pkg-pybuild.
  * debian/rules:
    - Clean rules.
    - Improve rule for building docs.
  * Update the clean target.
  * New d/python3-epr.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Oct 2023 15:17:58 +0000
