=== debian/changelog ===
pyepr (1.2.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control:
    - Mark python-epr-doc as Multi-Arch: foreign.
    - Drop 'Rules-Requires-Root: no', no longer needed.
  * Set upstream metadata fields: Documentation.

  [ Bas Couwenberg ]
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Sep 2025 10:28:31 +0000

pyepr (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyrigth.
  * debian/pathces:
    - Refresh all patches.
    - New 0002-Use-local-mathjax.patch.
  * debian/control:
    - Add dependency on mathjax.
    - Clean multi-arch same/foreign.
  * Adjust debian files for the new package layout.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Apr 2025 08:43:40 +0000
