=== debian/control ===
Source: pyepr
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               cython3,
               libepr-api-dev,
               libjs-mathjax <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-doc <!nodoc>,
               python3-ipython <!nodoc>,
               python3-numpy,
               python3-packaging,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
Homepage: https://avalentino.github.io/pyepr
Description: Python ENVISAT Product Reader API
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.

Package: python3-epr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-epr-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-epr-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} -- documentation
 ${source:Extended-Description}
 .
 This is the common documentation package.
