=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,8 @@
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	cd doc && \
-	env PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
-	sphinx-build -N -E -T $(SPHINXOPTS) -b html . $(CURDIR)/.pybuild/docs/html
+	env http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
+	sphinx-build -N -E -T $(SPHINXOPTS) -b html docs $(CURDIR)/.pybuild/docs/html
 	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
 	$(RM) -r $(CURDIR)/.pybuild/docs/html/_downloads
 else
@@ -33,7 +32,7 @@
 	dh_python3 -N python-epr-doc
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k doc/NEWS.rst
+	dh_installchangelogs -k docs/NEWS.rst
 
 override_dh_compress:
 	dh_compress -X.txt -X.rst -X.html -X.py
