=== debian/changelog ===
pyepr (1.3.0-2) unstable; urgency=medium

  * Fix d/clean.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jan 2026 10:57:01 +0000

pyepr (1.3.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Jan 2026 23:55:19 +0000
